<?php

namespace Intergo\VerifyClient;

class VerifierServiceManager
{
    /** @var VerifierClient */
    protected $client;

    /** @var string */
    private $secret;

    /** @var string */
    protected $site;

    /** @var string */
    protected $token;

    public function __construct(string $site,string $baseUrl,string $secret,string $traceId, string $token = null)
    {
        $this->client = new VerifierClient($baseUrl, $traceId);
        $this->secret = $secret;
        $this->site = $site;
        $this->token = $token;
    }
}